Bug 1188631 - Version 1.0 released
Summary: Version 1.0 released
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: maildirproc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2015-02-03 13:00 UTC by Petr Holasek
Modified: 2016-11-18 14:42 UTC (History)
7 users (show)

Fixed In Version: maildirproc-1.0.1-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-18 14:42:41 UTC


Attachments (Terms of Use)
New version 1.0.1 in Python 3 (2.77 KB, patch)
2016-09-04 07:49 UTC, Jan Beran
no flags Details | Diff

Description Petr Holasek 2015-02-03 13:00:43 UTC
Description of problem:

Please update maildirproc to upstream v1.0

Comment 1 Jaroslav Reznik 2015-03-03 16:49:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Tomas Orsava 2016-04-01 16:07:21 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 3 Dominika Krejčí 2016-04-22 16:19:32 UTC
Hello Christoph,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 4 Fedora End Of Life 2016-07-19 12:45:28 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Jan Beran 2016-09-04 07:49:08 UTC
Created attachment 1197572 [details]
New version 1.0.1 in Python 3

Comment 6 Dominika Krejčí 2016-09-27 08:58:51 UTC
Hi Jan, the spec looks good to me. If maintainer has nothing against, we can push this change after a week.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15823243

Comment 8 Charalampos Stratakis 2016-11-18 14:42:41 UTC
Fixed for rawhide. Please reopen the bug if you require it for F25 as well.


Note You need to log in before you can comment on or make changes to this bug.